Difference between revisions of "KDE (Česky)"

From ArchWiki
Jump to: navigation, search
m (Kde vzít KDE 3.5:)
m (Known issues:)
Line 28: Line 28:
 
Odkaz na diskuzi: [http://bbs.archlinux.org/viewtopic.php?t=15257]
 
Odkaz na diskuzi: [http://bbs.archlinux.org/viewtopic.php?t=15257]
  
====Known issues:====
+
====Známé problémy:====
 
<pre>
 
<pre>
  If you still have problems after the upgrade,consider your .kde/ could have
+
  Jesliže máte stále problémy po upgradu, promyslete zda .kde/ nemůže mít vnitřní    konflikty, kompatibilita s KDE 3.5 není. Prosím přesunte soubory na bezpečné místo a spusťte s novým .kde/ adresářem ve svém /home.
configs inside, that are not compatible with new kde 3.5. Please move the
+
files to a save place and start with a new .kde/ dir in your home.
+
  
 
  If you have installed extensions or additional software for kde
 
  If you have installed extensions or additional software for kde

Revision as of 09:34, 31 October 2006

Vítejte na ARCHLINUX KDE WIKI

Informace od vývojáře tpowa:

 Prosím neměnte dokument aniž by jste mě neinformovali, 
 pošlete mi krátký email ohledně vašich změn.
 Tento dokument je založen na KDE 3.5.0!

Upgrade balíčků:

 Prosím skočte do konzolového módu před upgradem KDE, 
 jelikož by se mohli ztratit ikony ve vašem panelu.

 Nabídky:
 Pokud máte problém s nabídkou. Nejprve odinstalujte KDE a teprve poté nainstalujte aktuální.
 
 Update z kde3.4 beta1 na kde 3.4:
 prosím neinstalujte kdebase-config. Je nahrazen kde-common.

Kde vzít KDE 3.5:

 Jsou umístěny v extra repozitáři.
 Díky za vaši odezvu. Užijte si nové vydání KDE.
 Přeji příjemnou zábavu a prosím hlašte případné chyby.

Odkaz na diskuzi: [1]

Známé problémy:

 Jesliže máte stále problémy po upgradu, promyslete zda .kde/ nemůže mít vnitřní    konflikty, kompatibilita s KDE 3.5 není. Prosím přesunte soubory na bezpečné místo a spusťte s novým .kde/ adresářem ve svém /home.

 If you have installed extensions or additional software for kde
 (not from our repos),it could be that they break kde 3.5. 
 Please rebuild them against new kde 3.5 or deinstall them.

 devices:/ kioslave is depracted, to get new sidebar layout:
 please delete your /home/$user/.kde/share/apps/konqsidebartng/

 kde 3.5 provides new feature of kcompmgr (composite extension of xorg),
 if you enable it, it may crash your X-Server, you have been warned.

 storage applet can cause some extensive logging, be aware of this problem 
 and check your /var/log/ on size. It happens only if you do a safely remove,
 let the usb device connected and your usb device must be some kind of broken.

 KSim panel applet crashes from time to time.

link to KSim bug: [2]

KDEBASE

Samba/Windows support:

 If you want to have access to Windows services
 'pacman -S samba'.

Java support:

 If you want to have Java support:
 'pacman -S j2re'

Printing support:

 If you want to have printing support:
 'pacman -S <enteryourfavouriteprintingsystemhere>'
 it is preconfigured for cups in kcontrol

Font Defaults:

 If you experience problems with the default fonts setting, e.g.
 that special characters for your language do not appear, try to
 set the fonts in 'kcontrol to a font which supports that characters

KDM Xserver file:

 KDM does not use the /opt/kde/share/config/kdm/Xserver file any more,
 everything is in /opt/kde/share/config/kdm/kdmrc now, check file
 kdmrc.default to see all options (e.g. -dpi 100).

Dbus/Hal Stuff:

 Please add 'dbus' 'hal' to rc.conf daemon's list 
 for full media:/ kioslave experience.

GPG/SSH Stuff:

 To disable gpg-agent and/or ssh-agent in KDE sessions,
 edit '/opt/kde/env/agent-startup.sh' and
 '/opt/kde/shutdown/agent-shutdown.sh'.

Kdebindings:

 Kdebindings has been built with support for Java and GTK.
 If you want to use these features use the following pacman commands:
 'pacman -S j2sdk'
 'pacman -S gtk'

Kdesdk:

 Kdesdk has been built with support for Subversion.
 If you want to use this feature use the following pacman command:
 'pacman -S subversion'

Changing DPI settings for KDM:

 Changing the DPI settings for KDE can be a little daunting, but this
 will show you how to do it.
 First, as root, you need to open the /opt/kde/share/config/kdm/kdmrc
 file and add ServerArgsLocal=-dpi 96 to the [X-:*-Core] section (Or
 what ever DPI you want).
 Then, you simply exit out and restart X (CTRL+ALT+BACKSPACE). 
 Note, this only applies if you are using KDM. If you are not using KDE,
 then the file you want to edit is /usr/X11/bin/startx. You will see a 
 line for defaultserverargs. Add "-dpi 96" (or what ever dpi you want) 
 and restart X.

Bugs:

 If you think you found a bug, please verify that this bug also happens
 with a new created user, with a clean setup, some bugs happen due to
 misconfiguration in config files. If the new user doesn't show the bug, 
 try to move the config files of your existing user.

 kde config files are usually located at: /home/$user/.kde/share/config
 or if app specific at: /home/$user/.kde/share/apps

Useful links:
Archlinux Bug Tracker: [3]
KDE Homepage: [4]
KDE Bug Tracker: [5]
KDE WebSVN: [6]
Control X Font DPI [7]

About KDE package splitting:

 The problem is that KDE has to change their packages in providing.
 pacman is not made for making multiple packages out of one tarball.
 And don't forget it has to be maintainable. (not too time consuming!)
 I'm not planning to split the packages.

Making separate KDE packages : here

About why do packages appear before official release:

 Packagers get the tarballs a week earlier then official release, to have time
 to build and fix last showstoppers while building.
 --> the packages are most time the final ones when they appear in arch repos,
 even before offical release.